My Account
× My Account Media Forum Supporter Packs

Last Epoch Forums

I can't install the game after patch 0.7.3c

I tried to upgrade the game from Steam from patch 0.7.3B to patch 0.7.3C and was unsuccessful. I decided to uninstall the game and to my surprise I can’t reinstall it. Has this happened to anyone else? I see that an error appears regarding an inaccessible manifest.

Printscreen showing error

Thanks for the report!

We haven’t had any luck reproducing this issue. Could you please try temporarily changing your download region in Steam and let us know whether the issue persists after doing so?

https://support.lastepochgame.com/article/131-changing-your-steam-download-region

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.